Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::Array< Obj, SIZE > Struct Template Reference
Basic

Fixed-size array encapsulation. In debug mode, a bound check is performed at each access. More...

`#include <Array.h>`

Inheritance diagram for tlp::Array< Obj, SIZE >:
[legend]
Collaboration diagram for tlp::Array< Obj, SIZE >:
[legend]

List of all members.

## Public Member Functions

- Obj operator[] (const unsigned int i) const
- Obj & operator[] (const unsigned int i)

## Public Attributes

- Obj array [SIZE]

## Detailed Description

### template<typename Obj, unsigned int SIZE>
struct tlp::Array< Obj, SIZE >

Fixed-size array encapsulation. In debug mode, a bound check is performed at each access.

Author:
  : David Auber auber@tulip-software.org

Version:
  0.0.1 24/01/2003

## Member Function Documentation

template<typename Obj, unsigned int SIZE>

Obj tlp::Array< Obj, SIZE >::operator[] | ( | const unsigned int | i | ) | const`[inline]`

template<typename Obj, unsigned int SIZE>

Obj& tlp::Array< Obj, SIZE >::operator[] | ( | const unsigned int | i | ) | `[inline]`

## Member Data Documentation

template<typename Obj, unsigned int SIZE>

Obj tlp::Array< Obj, SIZE >::array[SIZE]

Tulip Software by LaBRI Visualization Team 2001 - 2012